package duso.business;

import java.util.*;

public class Constants 
{
	public static String FILE_INPUT; 					
	public static String FILE_SUB_OUTPUT; 				
	public static String FILE_SCORES_OUTPUT; 			
	public static String FILE_OSCORES_OUTPUT; 			
	public static String FILE_RUNTIME_OUTPUT; 			
	public static int NUM_ROWS; 						
	public static int NUM_MEASURE_COLS; 				
	public static int NUM_CAT_CONTEXT_COLS = 0; 		
	public static int NUM_NUM_CONTEXT_COLS = 0; 		
	public static int NUM_NEIGHBORS; 					
	public static boolean ALLOW_TIE_NEIGHBORS = true;			
	public static int LP_NORM = 2;							
	public static int LOG_BASE = 2;							
	public static double ALPHA;							
	public static String FIELD_DELIMITER;				
	public static int NUM_SUBSAMPLING; 					
	public static double PROB_KEEP = 0;
	public static Random RAN_KEEP = new Random();
	
	public static final int DUSO_MARGINAL_NORM = 0;		
	public static final int DUSO_DIM_NORM = 1;			
	public static final int DUSO_NO_CONS = -1;			
	public static int NORM_CONSTRAINT;					
	
	public static final int LINEAR_NORM = 0;			
	public static final int MEAN_NORM = 1;				
	public static final int NO_NORM = -1;				
	public static int NORM_TYPE;						
	
	public static double UPPER_VAL = 100; 					
	
	public static Random RAN_INDEX_BLOCK;				
	public static Random RAN_SUB_INDEX_BLOCK;			
	public static Random RAN_DIM;						
	
	public static int NUM_HiCS_EXPS = 0;					
	public static boolean PRUNE_NON_CAND_SUB = true;			
	public static boolean PRUNE_BY_AVG = false;			
	
	public static int CANDIDATE_CUTOFF;					
	public static int TOP_CANDIDATE;					
	
	public static final int NON_RANKING_SUB_EX = 0;		
	public static final int RANKING_SUB_EX = 1;			
	public static int SUB_EX_TYPE = 0;						
	
	public static final int LOF = 0;					
	public static final int KNN = 1;					
	public static int SCORE_TYPE = 0;						
	
	public static final int SUM = 0;					
	public static final int PROD = 1;					
	public static int SCORE_INT_TYPE = 0;					
	
	public static boolean USE_RAO_CRE = false;					
	
	public static int MAX_NUM_SUBSPACES;				
	
	public static ArrayList<double[][]> sortedData;
	
	public static final int SORT_ATTS_ASC = 0;			
	public static final int SORT_ATTS_DSC = 1;			
	public static int SORT_ATTS = -1;					
	
	public static double EPSILON = 0;
	public static int MIN_PTS = 0;
	
	public static int NUM_SEEDS = 5;
	public static boolean USE_DUSO_SEED = false;
	public static Random RAN_SEED_GEN;
	public static boolean UPDATE_SEED = true;
	
	public static final int AVG_ENSEMBLE = 0;
	public static final int MAX_ENSEMBLE = 1;
	public static final int MIN_ENSEMBLE = 2;
	public static final int SEL_ENSEMBLE = 3;
	public static int ECMI_TYPE = 3;
	
	public static double[] DATA_MEANS;
	public static double[] DATA_DEVS;
	
	public static double RATIO_FROM_MEAN = 0.125;
}
